Move legacy ciphers into the legacy provider
[openssl.git] / crypto / bf / build.info
1 LIBS=../../libcrypto
2
3 $BFASM=bf_enc.c
4 IF[{- !$disabled{asm} -}]
5   $BFASM_x86=bf-586.s
6
7   # Now that we have defined all the arch specific variables, use the
8   # appropriate one
9   IF[$BFASM_{- $target{asm_arch} -}]
10     $BFASM=$BFASM_{- $target{asm_arch} -}
11   ENDIF
12 ENDIF
13
14 $ALL=bf_skey.c bf_ecb.c bf_cfb64.c bf_ofb64.c $BFASM
15
16 SOURCE[../../libcrypto]=$ALL
17
18 # When all deprecated symbols are removed, libcrypto doesn't export the
19 # blowfish functions, so we must include them directly in liblegacy.a
20 IF[{- $disabled{'deprecated-3.0'} -}]
21   SOURCE[../../providers/liblegacy.a]=$ALL
22 ENDIF
23
24 GENERATE[bf-586.s]=asm/bf-586.pl
25 DEPEND[bf-586.s]=../perlasm/x86asm.pl ../perlasm/cbc.pl